# NegotiatedAlgorithms (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport
Class NegotiatedAlgorithms

    java.lang.Object
      net.schmizz.sshj.transport.NegotiatedAlgorithms

    public final class NegotiatedAlgorithms

extends Object

Method Summary
`String` `getClient2ServerCipherAlgorithm()`
`String` `getClient2ServerCompressionAlgorithm()`
`String` `getClient2ServerMACAlgorithm()`
`String` `getKeyExchangeAlgorithm()`
`String` `getServer2ClientCipherAlgorithm()`
`String` `getServer2ClientCompressionAlgorithm()`
`String` `getServer2ClientMACAlgorithm()`
`String` `getSignatureAlgorithm()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getKeyExchangeAlgorithm

    public String getKeyExchangeAlgorithm()

### getSignatureAlgorithm

    public String getSignatureAlgorithm()

### getClient2ServerCipherAlgorithm

    public String getClient2ServerCipherAlgorithm()

### getServer2ClientCipherAlgorithm

    public String getServer2ClientCipherAlgorithm()

### getClient2ServerMACAlgorithm

    public String getClient2ServerMACAlgorithm()

### getServer2ClientMACAlgorithm

    public String getServer2ClientMACAlgorithm()

### getClient2ServerCompressionAlgorithm

    public String getClient2ServerCompressionAlgorithm()

### getServer2ClientCompressionAlgorithm

    public String getServer2ClientCompressionAlgorithm()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2011. All Rights Reserved.